Update Invoice Number Configuration
1 min
PUT
https://api.nue.io/v1/stripe/integration/invoice/default/number/type
Query Parameters
- defaultNumberTypestringrequiredExampleDescriptionAllowedNueStripe
Responses
200
- UpdateDefaultNumberTypeResponse
- statusstring<SUCCESS | PARTIAL_SUCCESS | FAILURE>AllowedSUCCESSPARTIAL_SUCCESSFAILURE
- dataUpdateDefaultNumberTypeResp
- defaultNumberTypestring<Nue | Stripe>AllowedNueStripe
- messagestring
- warningsstring[]
400
- ErrorResponse
- errorobject
- codestringExampleDescription
- messagestringExampleDescription
- detailsstring[]Example
[ "Target field 'oid' is read-only" ]
Description
401
- ErrorResponse
- errorobject
- codestringExampleDescription
- messagestringExampleDescription
- detailsstring[]Example
[ "Target field 'oid' is read-only" ]
Description
curl
curl --request PUT \
--url 'https://api.nue.io/v1/stripe/integration/invoice/default/number/type?defaultNumberType=Nue' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PUT',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/v1/stripe/integration/invoice/default/number/type?defaultNumberType=Nue", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/v1/stripe/integration/invoice/default/number/type?defaultNumberType=Nue")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/v1/stripe/integration/invoice/default/number/type?defaultNumberType=Nue"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Invoice number configuration updated successfully
{
"status": "",
"data": {
"defaultNumberType": "",
"message": ""
},
"warnings": [
""
]
}GENERATED
// Invoice number configuration updated successfully
{
"status": "",
"data": {
"defaultNumberType": "",
"message": ""
},
"warnings": [
""
]
}Nue Number Type
{
"status": "SUCCESS",
"data": {
"defaultNumberType": "Nue",
"message": "Invoice number type updated successfully"
}
}400
// Bad Request - Invalid number type
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid mapping configuration",
"details": [
""
]
}
}401
// Unauthorized - Invalid or missing API key
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid mapping configuration",
"details": [
""
]
}
}